package net.mingsoft.cms.action.web;

import  java.util.List;

public class ResultEntity {
  public  int  status;
  public    String  message;
    List<String> data;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<String> getData() {
        return data;
    }

    public void setData(List<String> data) {
        this.data = data;
    }

    public  String   testLength(String str){
        if("".equals(str)){
            this.message="000000";
            return this.message;
        }
       if(str!=null&&str.length()>6){
           message=str.substring(0,6);
       }else {
           String  temp="000000"+str;
           this.message=temp.substring(temp.length()-6);
       }
        return  this.message;
    }


 public ResultEntity(List  data){
     status=200;
     this.data=data;
 }

 public ResultEntity(){
        super();
 }


}
